<div class="l-container">
  <div class="list-actions">
    <div class="list-actions__actions">
      <button
        id="showAddOrganizationform"
        type="button"
        class="button button--gray"
        (click)="addNew.emit()"
      >
        <div class="button__icon" [inlineSVG]="'../assets/svg/plus.svg'"></div>
        Add New <span class="u-hidden--all-but-xl">Organization</span>
      </button>
    </div>
  </div>

  <div *ngIf="showOnboarding" class="l-container list-empty-state">
    <div class="list-empty-state__copy">
      <h2 class="heading-medium">Organizations let you control access.</h2>

      <p class="text--large">
        Organizations are a paid feature that allows for looking up contacts,
        restricting access, and enforce policies.
      </p>
    </div>
  </div>

  <div *ngIf="!showOnboarding && !showCreate">
    {{ activeOrganizationID }}
    <ng-select
      #activeOrganizationSelect
      noFilter="5"
      [options]="organizationOptions"
      (selected)="selectActiveOrganization($event)"
    >
    </ng-select>
  </div>

  <app-new-organization
    *ngIf="showCreate"
    [form]="newForm"
    (onSubmit)="createOrganization.emit()"
    (onCancel)="cancelNew.emit()"
  ></app-new-organization>

  <div *ngIf="!showCreate && activeOrganization">
    <h3>
      {{ activeOrganization.name }}
    </h3>
    <app-organization-detail [form]="editForm"></app-organization-detail>
  </div>
</div>
